% The FLASH sequence is approximated here
function [Intensity ] = FLASH( Tissue, tr, te, flip )
% Conventionally the flip angle is given in degrees...
    rflip = flip * pi ./ 180;
    E1 = exp(-tr ./ Tissue.t1);
    E2 = exp( -te ./ Tissue.t2star );
    Intensity = Tissue.pd .* E2 .* sin(rflip) .* (1-E1) ./ (1-cos(rflip) .* E1);
    return;

