%% Sequence models
%
% Here is a function to compute the spin echo signal intensity
function [Intensity] = SpinEcho( Tissue, tr, te )
    Intensity = Tissue.pd * Tissue.t1 * (1 - exp(-tr / Tissue.t1)) * exp(-te/Tissue.t2);
    return;
    


 % The FLASH sequence is approximated here
function [Intensity ] = FLASH( Tissue, tr, te, flip )
% Conventionally the flip angle is given in degrees...
    rflip = flip * pi / 180;
    E1 = (1-exp(-tr/Tissue.t1));
    Intensity = Tissue.pd * sin(rflip) * E1 / (cos(rflip) * E1);
    return;
    
    
    
    
    
    
    
    
    